summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 000000000..2e39fb5d8
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Usage: sh -x ./autogen.sh
+
+set -e
+
+[ -f GUILE-VERSION ] || {
+ echo "autogen.sh: run this command only at the top of guile-core."
+ exit 1
+}
+
+######################################################################
+### announce build tool versions
+echo ""
+autoconf --version
+echo ""
+automake --version
+echo ""
+
+# Typical MacOS X installations rename 'libtoolize' to 'glibtoolize', so
+# adjust to that.
+if test "`uname -s`" = "Darwin"; then
+ glibtoolize --version
+else
+ libtoolize --version
+fi
+
+echo ""
+${M4:-m4} --version
+echo ""
+flex --version
+echo ""
+
+######################################################################
+### update infrastructure
+
+autoreconf -i --force --verbose
+
+echo "Now run configure and make."